source: chapter02/hostreqs.xml@ a04b192f

11.1 11.1-rc1 arm multilib s6-init trunk xry111/clfs-ng xry111/lfs-next
Last change on this file since a04b192f was a04b192f, checked in by Pierre Labastie <pierre.labastie@…>, 11 months ago

Remove spaces at end o lines - chapter02

  • Property mode set to 100644
File size: 7.6 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../general.ent">
5 %general-entities;
6]>
7
8<sect1 id="ch-partitioning-hostreqs" xreflabel="Host System Requirements">
9 <?dbhtml filename="hostreqs.html"?>
10
11 <title>Host System Requirements</title>
12
13 <para>Your host system should have the following software with the
14 minimum versions indicated. This should not be an issue for most
15 modern Linux distributions. Also note that many distributions will
16 place software headers into separate packages, often in the form of
17 <quote>&lt;package-name&gt;-devel</quote> or
18 <quote>&lt;package-name&gt;-dev</quote>. Be sure to install those if
19 your distribution provides them.</para>
20
21 <para>Earlier versions of the listed software packages may work, but have
22 not been tested.</para>
23
24 <itemizedlist spacing="compact">
25
26 <listitem>
27 <para><emphasis role="strong">Bash-3.2</emphasis> (/bin/sh
28 should be a symbolic or hard link to bash)</para>
29 </listitem>
30
31 <listitem>
32 <para><emphasis role="strong">Binutils-2.25</emphasis> (Versions
33 greater than &binutils-version; are not recommended as they have
34 not been tested)</para>
35 </listitem>
36
37 <listitem>
38 <para><emphasis role="strong">Bison-2.7</emphasis> (/usr/bin/yacc
39 should be a link to bison or small script that executes bison)</para>
40 </listitem>
41
42 <listitem>
43 <para><emphasis role="strong">Bzip2-1.0.4</emphasis></para>
44 </listitem>
45
46 <listitem>
47 <para><emphasis role="strong">Coreutils-6.9</emphasis></para>
48 </listitem>
49
50 <listitem>
51 <para><emphasis role="strong">Diffutils-2.8.1</emphasis></para>
52 </listitem>
53
54 <listitem>
55 <para><emphasis role="strong">Findutils-4.2.31</emphasis></para>
56 </listitem>
57
58 <listitem>
59 <para><emphasis role="strong">Gawk-4.0.1</emphasis> (/usr/bin/awk
60 should be a link to gawk)</para>
61 </listitem>
62
63 <!-- glibc-2.30 requires gcc-6.2 or later -->
64 <listitem>
65 <para><emphasis role="strong">GCC-6.2</emphasis> including the C++
66 compiler, <command>g++</command> (Versions greater than &gcc-version; are
67 not recommended as they have not been tested)</para>
68 </listitem>
69
70 <listitem>
71 <para><emphasis role="strong">Glibc-2.11</emphasis> (Versions
72 greater than &glibc-version; are not recommended as they have
73 not been tested)</para>
74 </listitem>
75
76 <listitem>
77 <para><emphasis role="strong">Grep-2.5.1a</emphasis></para>
78 </listitem>
79
80 <listitem>
81 <para><emphasis role="strong">Gzip-1.3.12</emphasis></para>
82 </listitem>
83
84 <listitem>
85 <para><emphasis role="strong">Linux Kernel-&min-kernel;</emphasis></para>
86
87 <para>The reason for the kernel version requirement is that we specify
88 that version when building <application>glibc</application> in
89 <xref linkend="chapter-cross-tools"/> and
90 <xref linkend="chapter-building-system"/>,
91 at the recommendation of the developers. It is also required by
92 udev.</para>
93
94 <para>If the host kernel is earlier than &min-kernel; you will need to replace
95 the kernel with a more up to date version. There are two ways
96 you can go about this. First, see if your Linux vendor provides a &min-kernel;
97 or later kernel package. If so, you may wish to install it. If your
98 vendor doesn't offer an acceptable kernel package, or you would prefer not to
99 install it, you can compile a kernel yourself. Instructions for
100 compiling the kernel and configuring the boot loader (assuming the host
101 uses GRUB) are located in <xref linkend="chapter-bootable"/>.</para>
102
103 </listitem>
104
105 <listitem>
106 <para><emphasis role="strong">M4-1.4.10</emphasis></para>
107 </listitem>
108
109 <listitem>
110 <para><emphasis role="strong">Make-4.0</emphasis></para>
111 </listitem>
112
113 <listitem>
114 <para><emphasis role="strong">Patch-2.5.4</emphasis></para>
115 </listitem>
116
117 <listitem>
118 <para><emphasis role="strong">Perl-5.8.8</emphasis></para>
119 </listitem>
120
121 <listitem>
122 <para><emphasis role="strong">Python-3.4</emphasis></para>
123 </listitem>
124
125 <listitem>
126 <para><emphasis role="strong">Sed-4.1.5</emphasis></para>
127 </listitem>
128
129 <listitem>
130 <para><emphasis role="strong">Tar-1.22</emphasis></para>
131 </listitem>
132
133 <listitem>
134 <para><emphasis role="strong">Texinfo-4.7</emphasis></para>
135 </listitem>
136
137 <listitem>
138 <para><emphasis role="strong">Xz-5.0.0</emphasis></para>
139 </listitem>
140
141 </itemizedlist>
142
143 <important>
144 <para>Note that the symlinks mentioned above are required to build an LFS
145 system using the instructions contained within this book. Symlinks that
146 point to other software (such as dash, mawk, etc.) may work, but are not
147 tested or supported by the LFS development team, and may require either
148 deviation from the instructions or additional patches to some
149 packages.</para>
150 </important>
151
152 <!-- Use an empty sect2 element to prevent a pdf warning. -->
153 <bridgehead renderas="sect2"
154 id="version-check"
155 xreflabel="Host System Requirements">
156 </bridgehead>
157 <!--<title> </title>-->
158
159 <para >To see whether your host system has all the appropriate versions, and
160 the ability to compile programs, run the following:</para>
161
162<screen role="nodump"><userinput>cat &gt; version-check.sh &lt;&lt; "EOF"
163<literal>#!/bin/bash
164# Simple script to list version numbers of critical development tools
165export LC_ALL=C
166bash --version | head -n1 | cut -d" " -f2-4
167MYSH=$(readlink -f /bin/sh)
168echo "/bin/sh -&gt; $MYSH"
169echo $MYSH | grep -q bash || echo "ERROR: /bin/sh does not point to bash"
170unset MYSH
171
172echo -n "Binutils: "; ld --version | head -n1 | cut -d" " -f3-
173bison --version | head -n1
174
175if [ -h /usr/bin/yacc ]; then
176 echo "/usr/bin/yacc -> `readlink -f /usr/bin/yacc`";
177elif [ -x /usr/bin/yacc ]; then
178 echo yacc is `/usr/bin/yacc --version | head -n1`
179else
180 echo "yacc not found"
181fi
182
183bzip2 --version 2&gt;&amp;1 &lt; /dev/null | head -n1 | cut -d" " -f1,6-
184echo -n "Coreutils: "; chown --version | head -n1 | cut -d")" -f2
185diff --version | head -n1
186find --version | head -n1
187gawk --version | head -n1
188
189if [ -h /usr/bin/awk ]; then
190 echo "/usr/bin/awk -&gt; `readlink -f /usr/bin/awk`";
191elif [ -x /usr/bin/awk ]; then
192 echo awk is `/usr/bin/awk --version | head -n1`
193else
194 echo "awk not found"
195fi
196
197gcc --version | head -n1
198g++ --version | head -n1
199ldd --version | head -n1 | cut -d" " -f2- # glibc version
200grep --version | head -n1
201gzip --version | head -n1
202cat /proc/version
203m4 --version | head -n1
204make --version | head -n1
205patch --version | head -n1
206echo Perl `perl -V:version`
207python3 --version
208sed --version | head -n1
209tar --version | head -n1
210makeinfo --version | head -n1 # texinfo version
211xz --version | head -n1
212
213echo 'int main(){}' &gt; dummy.c &amp;&amp; g++ -o dummy dummy.c
214if [ -x dummy ]
215 then echo "g++ compilation OK";
216 else echo "g++ compilation failed"; fi
217rm -f dummy.c dummy</literal>
218EOF
219
220bash version-check.sh</userinput></screen>
221<!--
222 <para>Also check for some library consistency:</para>
223
224<screen role="nodump"><userinput>cat &gt; library-check.sh &lt;&lt; "EOF"
225<literal>#!/bin/bash
226for lib in lib{gmp,mpfr,mpc}.la; do
227 echo $lib: $(if find /usr/lib* -name $lib|
228 grep -q $lib;then :;else echo not;fi) found
229done
230unset lib</literal>
231EOF
232
233bash library-check.sh</userinput></screen>
234
235<para>The files identified by this script should be all present
236or all absent, but not only one or two present.</para>
237-->
238
239</sect1>
Note: See TracBrowser for help on using the repository browser.